var nnet = require("./nnNetwork.js");

var http = require('http');
http.createServer(function (req, res) {
	res.writeHead(200, {'Content-Type': 'text/plain'});
	res.end('Hello World\n');
    }).listen(1337, "127.0.0.1");
console.log('Server running at http://127.0.0.1:1337/');

var p = new nnet();
p.initialize(Array(3,2,3));
p.randomWeights();
//p.initializeFromFile("somejsonfile");
p.debug=false;
p.inputLayer([1,0,0]);

//p.writeFile("somejsonfile2");
var i;
console.log("before training");
p.train([1,0,0], 0.9);
console.log(JSON.stringify(p.getOutputLayerValues()));
for(i=0; i<50000; i++){
	p.train([1,0,0], 0.9);
}
console.log("after training");
console.log(JSON.stringify(p.getOutputLayerValues()));